Name:    ksystemlog
Summary: System Log Viewer for KDE
Version: 4.11.3
Release: 1%{?dist}

License: GPLv2+
URL:     http://www.kde.org/applications/system/ksystemlog/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

# fix ksystemlog to find log files correctly
Patch1: kdeadmin-4.8.4-syslog.patch

BuildRequires: kdelibs4-devel >= %{version}

Requires: kdelibs4 >= %{version}

Conflicts:      kdeadmin < 4.10.80
Obsoletes:      kdeadmin < 4.10.80

%description
This program is developed for beginner users, who don't know how to find
information about their Linux system, and don't know where log files are.

It is also of course designed for advanced users, who quickly want to understand
problems of their machine with a more powerful and graphical tool than tail -f
and less commands.

%prep
%setup -q -n %{name}-%{version}

%patch1 -p2 -b .logfile_loc

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%check
desktop-file-validate %{buildroot}/%{_kde4_datadir}/applications/kde4/%{name}.desktop

%files
%doc COPYING
%{_kde4_bindir}/ksystemlog
%{_kde4_appsdir}/ksystemlog/
%{_kde4_datadir}/applications/kde4/ksystemlog.desktop
%{_kde4_docdir}/HTML/en/ksystemlog/

%changelog
* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Tue Aug 27 2013 Martin Briza <mbriza@redhat.com> - 4.11.0-1
- Updated to 4.11

* Thu Aug 08 2013 Martin Briza <mbriza@redhat.com> - 4.10.97-1
- Split off from kdeadmin package
